# Conditional build:
%bcond_without	cinnamon	# build without nemo support
%bcond_without	gnome		# build without nautilus support
%bcond_without	mate		# build without caja support
%bcond_without	xfce		# build without Thunar support

Summary:	Blueman - bluetooth management utility for GNOME
Name:		blueman
Version:	2.2.3
Release:	2
License:	GPL v3+
Group:		X11/Applications
Source0:	https://github.com/blueman-project/blueman/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	ccdb860090a751312e841538606b4393
Patch0:		ayatana-indicator.patch
URL:		https://github.com/blueman-project/blueman
BuildRequires:	bluez-libs-devel >= 5.48
%{?with_mate:BuildRequires:	caja-python-devel}
%{?with_cinnamon:BuildRequires:	cinnamon-nemo-python-devel}
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	libtool
%{?with_gnome:BuildRequires:	nautilus-python-devel}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	polkit-devel
BuildRequires:	python-pygobject3-common-devel >= 3.27.2
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	systemd-units
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun,postun):	systemd-units >= 38
Requires:	bluez >= 5.48
Requires:	dbus >= 1.9.18
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.22
Requires:	pango
Requires:	python3 >= %py3_ver
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.27.2
Suggests:	NetworkManager-libs
Suggests:	iproute2
Suggests:	libayatana-appindicator-gtk3
Suggests:	pulseaudio-bluetooth
Suggests:	pulseaudio-hal
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blueman is a GTK+ bluetooth management utility for GNOME using bluez
dbus backend. The aim is to create a full featured graphical bluetooth
manager for Linux.

Features:

- Easy to use interface
- Storing Favourite devices
- Send files
- Browse files on devices
- List all seen devices
- View Local/Remote Device information
- View transfer speeds and link quality
- Configure local devices
- Manage Pairing (Bonding)
- Host/Connect to Personal Area Networks
- Bind services to /dev/rfcomm ports, for eg. connecting via gprs
- Connect and receive connections from: audio, network, input and
  serial devices

%package caja
Summary:	Blueman plugin for Caja
Summary(pl.UTF-8):	Wtyczka Blueman-a dla managera plików Caja
Group:		X11/Applications
Requires:	%{name} = %{version}
Requires:	caja-python

%description caja
Blueman plugin for Caja.

%description caja -l pl.UTF-8
Wtyczka Blueman-a dla managera plików Caja.

%package nautilus
Summary:	Blueman plugin for Nautilus
Summary(pl.UTF-8):	Wtyczka Blueman-a dla Nautilus-a
Group:		X11/Applications
Requires:	%{name} = %{version}
Requires:	nautilus-python

%description nautilus
Blueman plugin for Nautilus.

%description nautilus -l pl.UTF-8
Wtyczka Blueman-a dla Nautilus-a.

%package nemo
Summary:	Blueman plugin for Nemo
Summary(pl.UTF-8):	Wtyczka Blueman-a dla managera plików Nemo.
Group:		X11/Applications
Requires:	%{name} = %{version}
Requires:	cinnamon-nemo-python

%description nemo
Blueman plugin for Nautilus.

%description nemo -l pl.UTF-8
Wtyczka Blueman-a dla managera plików Nemo.

%package thunar
Summary:	Blueman plugin for Thunar
Summary(pl.UTF-8):	Wtyczka Blueman-a dla Thunar-a
Group:		X11/Applications
Requires:	%{name} = %{version}

%description thunar
Blueman plugin for Thunar.

%description thunar -l pl.UTF-8
Wtyczka Blueman-a dla Thunar-a.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	CYTHONEXEC=/usr/bin/cython3 \
	NETWORKTOOLS=/sbin/ip \
	--disable-runtime-deps-check \
	--disable-schemas-compile \
	--disable-static \
	--enable-polkit \
	%{__enable_disable mate caja-sendto} \
	%{__enable_disable cinnamon nemo-sendto} \
	%{__enable_disable gnome nautilus-sendto} \
	%{__enable_disable xfce thunar-sendto} \
	--enable-settings-integration

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/_blueman.la

# DO NOT RUN py_postclean - breaks plugins and everything

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%service %{name}-mechanism restart
%systemd_post %{name}-mechanism.service

%preun
if [ "$1" = "0" ]; then
        %service -q %{name}-mechanism stop
fi
%systemd_preun %{name}-mechanism.service

%postun
%update_icon_cache hicolor
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%systemd_reload

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md COPYING FAQ
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/autostart/blueman.desktop
%attr(755,root,root) %{_bindir}/blueman-adapters
%attr(755,root,root) %{_bindir}/blueman-applet
%attr(755,root,root) %{_bindir}/blueman-manager
%attr(755,root,root) %{_bindir}/blueman-sendto
%attr(755,root,root) %{_bindir}/blueman-services
%attr(755,root,root) %{_bindir}/blueman-tray
%{_mandir}/man1/blueman-adapters.1*
%{_mandir}/man1/blueman-applet.1*
%{_mandir}/man1/blueman-manager.1*
%{_mandir}/man1/blueman-sendto.1*
%{_mandir}/man1/blueman-services.1*
%{_mandir}/man1/blueman-tray.1*
%attr(755,root,root) %{_libexecdir}/%{name}-mechanism
%attr(755,root,root) %{_libexecdir}/%{name}-rfcomm-watcher
%{_datadir}/%{name}
%{_datadir}/dbus-1/system-services/org.blueman.Mechanism.service
%{_desktopdir}/blueman-manager.desktop
%{_desktopdir}/blueman-adapters.desktop
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/glib-2.0/schemas/org.blueman.gschema.xml
%{systemdunitdir}/blueman-mechanism.service
%{systemduserunitdir}/blueman-applet.service
%{systemduserunitdir}/blueman-manager.service
%{_datadir}/dbus-1/services/org.blueman.Applet.service
%{_datadir}/dbus-1/services/org.blueman.Manager.service
%{_datadir}/dbus-1/system.d/org.blueman.Mechanism.conf
%{_datadir}/polkit-1/actions/org.blueman.policy
%{_datadir}/polkit-1/rules.d/blueman.rules
%attr(755,root,root) %{py3_sitedir}/_blueman.so
%{py3_sitedir}/%{name}

%if %{with mate}
%files caja
%defattr(644,root,root,755)
%{_datadir}/caja-python/extensions/caja_blueman_sendto.py
%endif

%if %{with gnome}
%files nautilus
%defattr(644,root,root,755)
%{_datadir}/nautilus-python/extensions/nautilus_blueman_sendto.py
%endif

%if %{with cinnamon}
%files nemo
%defattr(644,root,root,755)
%{_datadir}/nemo-python/extensions/nemo_blueman_sendto.py
%endif

%if %{with xfce}
%files thunar
%defattr(644,root,root,755)
%{_datadir}/Thunar/sendto/thunar-sendto-blueman.desktop
%endif
%changelog
* Thu Nov 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/blueman.git;a=log;h=master

* Wed Nov 24 2021 Jan Palus <atler@pld-linux.org> 3264904
- patch to prefer maintained ayatana indicators; rel 2

* Sat Oct 30 2021 Jan Palus <atler@pld-linux.org> 1da1fd4
- up to 2.2.3

* Sat Aug 07 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cdbaa69
- up to 2.2.2

* Tue Jun 01 2021 Jan Palus <atler@pld-linux.org> 068ccac
- up to 2.2.1

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9e197ca
- release 2 (by relup.sh)

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 29c55b9
- BRs for tar.xz source

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> feac9ad
- macros for %systemd*

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> fcc021b
- python3 epoch

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 2a7ffba
- drop fixed python paths nonsense

* Mon Jan 04 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7c97fd0
- up to 2.1.4

* Wed Oct 21 2020 Jan Palus <atler@pld-linux.org> 81a7d0f
- updated deps

* Wed Oct 21 2020 Jan Palus <atler@pld-linux.org> 3552d76
- add bcond for each DE

* Wed Jul 22 2020 Jan Rękorajski <baggins@pld-linux.org> 806b6c2
- release 2 (by relup.sh)

* Wed Jul 22 2020 Jan Rękorajski <baggins@pld-linux.org> fc378da
- tell configure what and where the network config program is

* Fri Jul 17 2020 Krzysztof Mrozowicz <krzysztof@mrozowicz.eu> c8d32e6
- updading blueman to version 2.1.3

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 5759428
- updated to 2.0.5 and made it work

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 8c7796a
- clean .py

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> b127538
- run autofoo in .spec

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 1426712
- arguments have no effect to autogen with NOCONFIGURE

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> e25fb3d
- permissions for blueman-rfcomm-watcher

